# TdApi.ToggleChatDefaultDisableNotification (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ToggleChatDefaultDisableNotification

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ToggleChatDefaultDisableNotification

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ToggleChatDefaultDisableNotification

Enclosing class:
  TdApi

public static final class TdApi.ToggleChatDefaultDisableNotification extends TdApi.Function<TdApi.Ok>
Changes the value of the default disableNotification parameter, used when a message is sent to a chat. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`boolean`
`defaultDisableNotification`
New value of defaultDisableNotification.

## Constructor Summary

Constructors
Constructor
Description
`ToggleChatDefaultDisableNotification()`
Changes the value of the default disableNotification parameter, used when a message is sent to a chat.
`ToggleChatDefaultDisableNotification(long chatId, boolean defaultDisableNotification)`
Changes the value of the default disableNotification parameter, used when a message is sent to a chat.
`ToggleChatDefaultDisableNotification(DataInput input)`
Changes the value of the default disableNotification parameter, used when a message is sent to a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### defaultDisableNotification

public boolean defaultDisableNotification
New value of defaultDisableNotification.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ToggleChatDefaultDisableNotification

public ToggleChatDefaultDisableNotification()
Changes the value of the default disableNotification parameter, used when a message is sent to a chat. Returns `Ok`

### ToggleChatDefaultDisableNotification

public ToggleChatDefaultDisableNotification(long chatId, boolean defaultDisableNotification)
Changes the value of the default disableNotification parameter, used when a message is sent to a chat. Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `defaultDisableNotification` - boolean New value of defaultDisableNotification.

### ToggleChatDefaultDisableNotification

public ToggleChatDefaultDisableNotification(DataInput input) throws IOException
Changes the value of the default disableNotification parameter, used when a message is sent to a chat. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`